#!/bin/bash

to_lowercase() {
    find "$1" -depth -execdir rename 's/(.*)/\L$1/' {} +
    ./lowercase_res_content.py
}

to_lowercase "./svencoop_addon"

inotifywait -m -r -e create -e moved_to -e modify --format '%w%f' "./svencoop_addon" | while read NEWFILE
do
    echo "File change: $NEWFILE"
    to_lowercase "./svencoop_addon"
    sleep 1
done
